Groovy 1.7.10

## org.codehaus.groovy.binding
[Java] Interface BindingUpdatable

    public interface BindingUpdatable

Authors:
  Danno Ferrin

Version:
  \$Revision: 7953 \$

Since:
  Groovy 1.1

Method Summary
`void` | `bind()` Causes automatic updating of bound values to be turned on.
`void` | `rebind()` Causes the current bindings to be reset.
`void` | `reverseUpdate()` If supported, Causes the values to be propigated from the target to the source, If not supported, an exception may be thrown
`void` | `unbind()` Causes automatic updating of bound values to be turned off.
`void` | `update()` Causes the values to be propigated from the source to the target

Method Detail

### bind

    public void bind()

  Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

### rebind

    public void rebind()

  Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.

### reverseUpdate

    public void reverseUpdate()

  If supported, Causes the values to be propigated from the target to the source, If not supported, an exception may be thrown

### unbind

    public void unbind()

  Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.

### update

    public void update()

  Causes the values to be propigated from the source to the target

Copyright © 2003-2010 The Codehaus. All rights reserved.